=== modified file 'HACKING'
--- HACKING	2007-01-09 15:19:18 +0000
+++ HACKING	2007-01-24 19:42:26 +0000
@@ -593,7 +593,7 @@
 ====================
 
 If you'd like to propose a change, please post to the
-bazaar-ng@lists.canonical.com list with a patch, bzr changeset, or link to a
+bazaar@lists.canonical.com list with a patch, bzr changeset, or link to a
 branch.  Please put '[patch]' in the subject so we can pick them out, and
 include some text explaining the change.  Remember to put an update to the NEWS
 file in your diff, if it makes any changes visible to users or plugin

=== modified file 'NEWS'
--- NEWS	2007-01-18 04:11:51 +0000
+++ NEWS	2007-01-24 19:42:26 +0000
@@ -1,4 +1,5 @@
 IN DEVELOPMENT
+
   IMPROVEMENTS:
 
     * ``bzr mv`` enhanced to support already moved files.
@@ -31,6 +32,24 @@
     * New ``--first`` option to ``bzr selftest`` to run specified tests
       before the rest of the suite.  (Martin Pool)
 
+
+bzr 0.14  2007-01-23
+
+  IMPROVEMENTS:
+
+    * ``bzr help global-options`` describes the global options. (Aaron Bentley)
+
+  BUG FIXES:
+    
+    * Skip documentation generation tests if the tools to do so are not
+      available. Fixes running selftest for installled copies of bzr. 
+      (John Arbash Meinel, #80330)
+
+    * Fix the code that discovers whether bzr is being run from it's
+      working tree to handle the case when it isn't but the directory
+      it is in is below a repository. (James Westby, #77306)
+
+
 bzr 0.14rc1  2007-01-16
 
   IMPROVEMENTS:

=== modified file 'bzrlib/tests/test_generate_docs.py'
--- bzrlib/tests/test_generate_docs.py	2007-01-02 12:40:19 +0000
+++ bzrlib/tests/test_generate_docs.py	2007-01-18 14:49:08 +0000
@@ -22,7 +22,7 @@
 
 from cStringIO import StringIO
 
-from bzrlib.tests import TestCase
+from bzrlib.tests import TestCase, TestSkipped
 
 
 class Options:
@@ -38,13 +38,19 @@
         self.options.bzr_name = 'bzr'
 
     def test_man_page(self):
-        from tools.doc_generate import autodoc_man
+        try:
+            from tools.doc_generate import autodoc_man
+        except ImportError:
+            raise TestSkipped('The package "tools" is not available to test.')
 
         autodoc_man.infogen(self.options, self.sio)
         self.assertNotEqual('', self.sio.getvalue())
 
     def test_rstx_man(self):
-        from tools.doc_generate import autodoc_rstx
+        try:
+            from tools.doc_generate import autodoc_rstx
+        except ImportError:
+            raise TestSkipped('The package "tools" is not available to test.')
 
         autodoc_rstx.infogen(self.options, self.sio)
         self.assertNotEqual('', self.sio.getvalue())

=== modified file 'bzrlib/tests/test_source.py'
--- bzrlib/tests/test_source.py	2006-11-06 21:00:45 +0000
+++ bzrlib/tests/test_source.py	2007-01-18 16:26:15 +0000
@@ -258,6 +258,8 @@
         incorrect = []
 
         for fname, text in self.get_source_file_contents():
+            if '/util/' in fname or '/plugins/' in fname:
+                continue
             if '\t' in text:
                 incorrect.append(fname)
 

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2006-11-17 05:53:17 +0000
+++ bzrlib/trace.py	2007-01-18 18:22:01 +0000
@@ -154,7 +154,7 @@
         if tf.tell() == 0:
             tf.write("\nthis is a debug log for diagnosing/reporting problems in bzr\n")
             tf.write("you can delete or truncate this file, or include sections in\n")
-            tf.write("bug reports to bazaar-ng@lists.canonical.com\n\n")
+            tf.write("bug reports to bazaar@lists.canonical.com\n\n")
         _file_handler = logging.StreamHandler(tf)
         fmt = r'[%(process)5d] %(asctime)s.%(msecs)03d %(levelname)s: %(message)s'
         datefmt = r'%a %H:%M:%S'
@@ -309,4 +309,4 @@
                         sys.platform)
     print >>err_file, 'arguments: %r' % sys.argv
     print >>err_file
-    print >>err_file, "** please send this report to bazaar-ng@lists.ubuntu.com"
+    print >>err_file, "** please send this report to bazaar@lists.ubuntu.com"

=== modified file 'bzrlib/version.py'
--- bzrlib/version.py	2006-10-11 23:08:27 +0000
+++ bzrlib/version.py	2007-01-18 23:20:16 +0000
@@ -63,5 +63,6 @@
     try:
         from bzrlib.workingtree import WorkingTree
         return WorkingTree.open_containing(__file__)[0]
-    except (errors.NotBranchError, errors.UnknownFormatError):
+    except (errors.NotBranchError, errors.UnknownFormatError,
+            errors.NoWorkingTree):
         return None

=== modified file 'setup.py'
--- setup.py	2007-01-15 03:31:34 +0000
+++ setup.py	2007-01-18 18:37:21 +0000
@@ -17,7 +17,7 @@
 META_INFO = {'name':         'bzr',
              'version':      bzrlib.__version__,
              'author':       'Canonical Ltd',
-             'author_email': 'bazaar-ng@lists.ubuntu.com',
+             'author_email': 'bazaar@lists.canonical.com',
              'url':          'http://www.bazaar-vcs.org/',
              'description':  'Friendly distributed version control system',
              'license':      'GNU GPL v2',
@@ -197,6 +197,12 @@
     if sys.version.startswith('2.4'):
         # adding elementtree package
         additional_packages.append('elementtree')
+    elif sys.version.startswith('2.5'):
+        additional_packages.append('xml.etree')
+    else:
+        import warnings
+        warnings.warn('Unknown Python version.\n'
+                      'Please check setup.py script for compatibility.')
 
     options_list = {"py2exe": {"packages": BZRLIB['packages'] +
                                            additional_packages,

